--Package specifications
create or replace PACKAGE NYDEX.SJS2NYDEX AS

  /* TODO enter package declarations (types, exceptions, methods etc) here */
  FUNCTION LOG_SEALED_RECORD(pI_id number,pAgcy_ori varchar2,pSealed_pk_id varchar2,pSeal_type varchar2) return VARCHAR2;
  
END SJS2NYDEX;


/

create or replace PACKAGE BODY NYDEX.SJS2NYDEX AS
/*************************************************************************
-- Description:
-- This package has common functions and procedures
-- that are used in SJS to NYDEX incident submission process
--

-- Modification History:
--
-- <date>         <name>      <description of change>
-- 07/01/2009     Vinay       Initial creation
**************************************************************************/
FUNCTION LOG_SEALED_RECORD
  (
    pI_id number,
    pAgcy_ori varchar2,
    pSealed_pk_id varchar2,
    pSeal_type varchar2
  )
RETURN VARCHAR2
as
status varchar2(1000);
begin
insert into
NYDEX.NYDEX_mod_log(i_id,security_flag,batchno,block_num,operation,agcy_ori,process_status,security_flag_status,raw_xml_creation_status,sealed_pk_id,seal_type)
values
(pI_id,'RED',null,1,'S',pAgcy_ori,'N','N','N',pSealed_pk_id,pSeal_type);
status :='Sealed Record inserted successfully';
return status;

end LOG_SEALED_RECORD;

END SJS2NYDEX;
/
