create or replace FUNCTION NYDEX.get_raw_xml_content(pbatchno IN NUMBER,pblock IN NUMBER,pdt in number) 
  RETURN CLOB AS
  xmlc CLOB;
  ctx    dbms_xmlgen.ctxHandle;
  sqlstmt VARCHAR2(3500);
  msg clob;
  pragma autonomous_transaction;
  BEGIN
  execute immediate 'alter session set nls_date_format =''YYYY-MM-DD hh24:mi:ss''';
  
  sqlstmt := 'select i.*,nhi.SECURITY_FLAG,nhi.hbatchno as BATCHNO,nhi.operation,nhi.i_id as INCIDENTID,nhi.AGCY_ORI
  from NYDEX.NYDEX_raw_xml i ,NYDEX.NYDEX_history_incidents nhi
  where i.i_id=nhi.i_id 
  and to_number(to_char(i."ReportDate",''YYYY''))=' || pBATCHNO || 'and to_number(to_char(i."ReportDate",''MM''))=' || pBLOCK ||' and to_number(to_char(i."ReportDate",''DD'')) = '|| pdt;

  ctx := dbms_xmlgen.newContext(sqlstmt);
   xmlc := dbms_xmlgen.getXML(ctx);
  
  dbms_xmlgen.closeContext(ctx);
  RETURN xmlc;

EXCEPTION
WHEN others THEN
    msg := 'RAW XML''S not created successfull for year' || pbatchno || 'and month ' || pblock|| substr(sqlerrm,0,500);
  RETURN msg;
END;
/
